SET DATESTYLE TO 'EUROPEAN';

CREATE TABLE nabywca(
	id int8 UNIQUE,
	nip varchar(16) NOT NULL,
	nazwa text NOT NULL,
 	ulica text NOT NULL,
	kod_pocztowy varchar(8) NOT NULL,
	miejscowosc text NOT NULL,
	osoba text,
	tel text,
	fax text,
	email text,
	www text,
	czas_wpisu timestamp,
	autor_wpisu text
);
CREATE TABLE towar(
	id int8 UNIQUE,
	nazwa text NOT NULL,
	sww varchar(10),
	jm varchar(5) NOT NULL,
	cena float8 NOT NULL,
	podatek int4 NOT NULL,
	stan varchar(4),
	magazyn float8,
	rodzaj varchar(7)
);
CREATE TABLE transakcje(
	id int8 UNIQUE,
	nr_faktury text UNIQUE,
	nazwa_firmy text,
	nip_firmy varchar(16),
	data_sp date,
	data_w date,
	w_netto float8,
	w_brutto float8,	
	czas_transakcji timestamp,
	autor_transakcji text
);
CREATE TABLE towar_trans(
	id int8 UNIQUE,
	nazwa_towaru text,
	nazwa_nabywcy text,
	data date,
	ilosc float4,
	czas_wpisu timestamp,
	autor_wpisu text,
	nr_faktury text 
);
CREATE TABLE opakowania(
	id int8 UNIQUE,
	nazwa text NOT NULL,
	cena float8 NOT NULL,
	podatek int4 NOT NULL
);
CREATE TABLE opak_trans(
	id int8 UNIQUE,
	firma text NOT NULL,
	nazwa text NOT NULL,
	il_wyd float8 NOT NULL,
	il_ot float8 NOT NULL,
	data date
);	
CREATE TABLE inwestycje(
	id int8 UNIQUE,
	data date,
	nazwa text NOT NULL,
	cena_netto float8 NOT NULL,
	podatek int4 NOT NULL,
	cena_brutto float8 NOT NULL
);

GRANT ALL ON nabywca TO ksiegowy;
GRANT ALL ON towar TO ksiegowy;
GRANT ALL ON opakowania TO ksiegowy;
GRANT ALL ON transakcje TO ksiegowy;
GRANT ALL ON towar_trans TO ksiegowy;
GRANT ALL ON opak_trans TO ksiegowy;
GRANT ALL ON inwestycje TO ksiegowy;
	
	
	
	
	
	


